
%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name DateTime-Format-ISO8601

Summary: Parses ISO8601 formats
Name: perl-DateTime-Format-ISO8601
Version: 0.07
Release: %mkrel 3
License: Artistic/GPL
Group: Development/Perl
URL: http://search.cpan.org/dist/DateTime-Format-ISO8601/
Source: http://search.cpan.org/CPAN/authors/id/J/JH/JHOBLITT/DateTime-Format-ISO8601-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: perl
BuildRequires: perl(Module::Build)
BuildRequires: perl(DateTime) >= 0.18
BuildRequires: perl(DateTime::Format::Builder) >= 0.77
Requires: perl(DateTime) >= 0.18
Requires: perl(DateTime::Format::Builder) >= 0.77
Requires: perl-Class-Factory-Util

%description
Parses ISO8601 formats.

This package contains the following Perl module:

    DateTime::Format::ISO8601

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes LICENSE MANIFEST META.yml README Todo
%doc %{_mandir}/man3/DateTime::Format::ISO8601.3pm*
%dir %{perl_vendorlib}/DateTime/
%dir %{perl_vendorlib}/DateTime/Format/
%{perl_vendorlib}/DateTime/Format/ISO8601.pm
%{perl_vendorlib}/DateTime/Format/ISO8601.pod

%changelog
* Fri Nov 12 2010 Texstar <texstar at gmail.com> 0.07-3pclos2010
- add missing dep perl-Class-Factory-Util

* Thu Jul 22 2010 Texstar <texstar at gmail.com> 0.07-2pclos2010
- fix rpm group Development/Perl
- convert to tar.xz
- add version to changelog

* Wed Jun 23 2010 MBantz <martin dot bantz at gmail dot com> 0.07-1pclos2010
- Built for PCLinuxOS from cmr at financial dot com

